package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkTaskBean extends BaseMesPageBean {

        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * id : 42ddf9651f3f4507a191605536648e44
             * createDateTime : null
             * updateDateTime : null
             * actNum : RW00001
             * description : 1
             * status : 5
             * woId : 570f78e7e1cb11ea8334fa163e1166bd
             * assetId : null
             * locationId : null
             * schedStart : null
             * schedFinish : null
             * actStart : null
             * actFinish : null
             * earliestStartTime : null
             * latestCompTime : null
             * time : 1
             * siteId : null
             * remark : null
             * createBy : null
             * changeBy : null
             * delete : false
             * userName : null
             * userCode : null
             * craftCode : null
             * craftName : null
             * skillCode : null
             * skillName : null
             * astAsset : null
             * locations : null
             */

            private String id;
            private Object createDateTime;
            private Object updateDateTime;
            private String actNum;
            private String description;
            private int status;
            private String woId;
            private Object assetId;
            private Object locationId;
            private Object schedStart;
            private Object schedFinish;
            private Object actStart;
            private Object actFinish;
            private Object earliestStartTime;
            private Object latestCompTime;
            private int time;
            private Object siteId;
            private Object remark;
            private Object createBy;
            private Object changeBy;
            private boolean delete;
            private Object userName;
            private Object userCode;
            private Object craftCode;
            private Object craftName;
            private Object skillCode;
            private Object skillName;
            private Object astAsset;
            private Object locations;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getActNum() {
                return actNum;
            }

            public void setActNum(String actNum) {
                this.actNum = actNum;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getWoId() {
                return woId;
            }

            public void setWoId(String woId) {
                this.woId = woId;
            }

            public Object getAssetId() {
                return assetId;
            }

            public void setAssetId(Object assetId) {
                this.assetId = assetId;
            }

            public Object getLocationId() {
                return locationId;
            }

            public void setLocationId(Object locationId) {
                this.locationId = locationId;
            }

            public Object getSchedStart() {
                return schedStart;
            }

            public void setSchedStart(Object schedStart) {
                this.schedStart = schedStart;
            }

            public Object getSchedFinish() {
                return schedFinish;
            }

            public void setSchedFinish(Object schedFinish) {
                this.schedFinish = schedFinish;
            }

            public Object getActStart() {
                return actStart;
            }

            public void setActStart(Object actStart) {
                this.actStart = actStart;
            }

            public Object getActFinish() {
                return actFinish;
            }

            public void setActFinish(Object actFinish) {
                this.actFinish = actFinish;
            }

            public Object getEarliestStartTime() {
                return earliestStartTime;
            }

            public void setEarliestStartTime(Object earliestStartTime) {
                this.earliestStartTime = earliestStartTime;
            }

            public Object getLatestCompTime() {
                return latestCompTime;
            }

            public void setLatestCompTime(Object latestCompTime) {
                this.latestCompTime = latestCompTime;
            }

            public int getTime() {
                return time;
            }

            public void setTime(int time) {
                this.time = time;
            }

            public Object getSiteId() {
                return siteId;
            }

            public void setSiteId(Object siteId) {
                this.siteId = siteId;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }

            public Object getCreateBy() {
                return createBy;
            }

            public void setCreateBy(Object createBy) {
                this.createBy = createBy;
            }

            public Object getChangeBy() {
                return changeBy;
            }

            public void setChangeBy(Object changeBy) {
                this.changeBy = changeBy;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }

            public Object getUserName() {
                return userName;
            }

            public void setUserName(Object userName) {
                this.userName = userName;
            }

            public Object getUserCode() {
                return userCode;
            }

            public void setUserCode(Object userCode) {
                this.userCode = userCode;
            }

            public Object getCraftCode() {
                return craftCode;
            }

            public void setCraftCode(Object craftCode) {
                this.craftCode = craftCode;
            }

            public Object getCraftName() {
                return craftName;
            }

            public void setCraftName(Object craftName) {
                this.craftName = craftName;
            }

            public Object getSkillCode() {
                return skillCode;
            }

            public void setSkillCode(Object skillCode) {
                this.skillCode = skillCode;
            }

            public Object getSkillName() {
                return skillName;
            }

            public void setSkillName(Object skillName) {
                this.skillName = skillName;
            }

            public Object getAstAsset() {
                return astAsset;
            }

            public void setAstAsset(Object astAsset) {
                this.astAsset = astAsset;
            }

            public Object getLocations() {
                return locations;
            }

            public void setLocations(Object locations) {
                this.locations = locations;
            }
        }
}
